VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
ConnectionProxy Class Reference

Helper for creating and initializing component. More...

`#include <connectionproxy.h>`

Inheritance diagram for ConnectionProxy:

## Public Member Functions
| ConnectionProxy (IConnectionPoint *srcConnection)
virtual | ~ConnectionProxy ()
tresult | connect (IConnectionPoint *other) override
tresult | disconnect (IConnectionPoint *other) override
tresult | notify (IMessage *message) override
bool | disconnect ()

## Protected Attributes
std::unique_ptr< ThreadChecker > | threadChecker {ThreadChecker::create ()}
IPtr< IConnectionPoint > | srcConnection
IPtr< IConnectionPoint > | dstConnection

## Additional Inherited Members
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid

## Detailed Description

Helper for creating and initializing component.

## Constructor & Destructor Documentation

ConnectionProxy | ( | IConnectionPoint * | srcConnection | ) |

~ConnectionProxy | ( |  | ) |
| virtual

## Member Function Documentation

tresult connect | ( | IConnectionPoint * | other | ) |
| override virtual

Implements IConnectionPoint.

tresult disconnect | ( | IConnectionPoint * | other | ) |
| override virtual

Implements IConnectionPoint.

tresult notify | ( | IMessage * | message | ) |
| override virtual

Implements IConnectionPoint.

bool disconnect | ( |  | ) |

## Member Data Documentation

std::unique_ptr<ThreadChecker> threadChecker {ThreadChecker::create ()}
| protected

IPtr<IConnectionPoint> srcConnection
| protected

IPtr<IConnectionPoint> dstConnection
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.